# Interface TypedArrayLike

interface TypedArrayLike {
BYTES_PER_ELEMENT: number;
set(array: ArrayLike<number>, offset?: number): void;
[index: number]: number;
}

#### Hierarchy

- ArrayLike<number>
  - TypedArrayLike

#### Indexable

- [index: number]: number

##### Index

### Properties

BYTES_PER_ELEMENT

### Methods

set

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

## Methods

### set

- set(array: ArrayLike<number>, offset?: number): void

  #### Parameters

  - array: ArrayLike<number>
  - `Optional` offset: number

  #### Returns void